﻿using iGgridSelection.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace iGgridSelection.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            var viewModel = new RateIdentificationViewModel
            {
                //IEnumerable of Customer Objects
                RateIdentifications = GetRateIdentifications(),

            };

            return View(viewModel);
        }

        private IEnumerable<RateIdentification> GetRateIdentifications()
        {
            return new List<RateIdentification>
            {
                new RateIdentification { PrimaryKey=1, RateIdentification1="19U", RateType="F", AllocationPercentFlag="N", Otavalue=0},
                new RateIdentification { PrimaryKey=2, RateIdentification1="22U", RateType="F", AllocationPercentFlag="A", Otavalue=1},
                new RateIdentification { PrimaryKey=3, RateIdentification1="30U", RateType="S", AllocationPercentFlag="N", Otavalue=0},
                new RateIdentification { PrimaryKey=4, RateIdentification1="27U", RateType="F", AllocationPercentFlag="N", Otavalue=1},
                new RateIdentification { PrimaryKey=5, RateIdentification1="25U", RateType="S", AllocationPercentFlag="N", Otavalue=1},
                new RateIdentification { PrimaryKey=6, RateIdentification1="34U", RateType="F", AllocationPercentFlag="A", Otavalue=0},
                new RateIdentification { PrimaryKey=7, RateIdentification1="36U", RateType="S", AllocationPercentFlag="N", Otavalue=1},
                new RateIdentification { PrimaryKey=8, RateIdentification1="24U", RateType="S", AllocationPercentFlag="A", Otavalue=1},
                new RateIdentification { PrimaryKey=9, RateIdentification1="28U", RateType="F", AllocationPercentFlag="A", Otavalue=0},
            };
        }
    }
}